Bug 817533 - Review Request: aether-ant-tasks - Ant tasks using Aether to resolve, install and deploy artifacts
Summary: Review Request: aether-ant-tasks - Ant tasks using Aether to resolve, install...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas 'Sheldon' Radej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-30 12:18 UTC by Mikolaj Izdebski
Modified: 2012-09-18 05:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-17 14:10:16 UTC
Type: ---
tradej: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 723276 0 unspecified CLOSED ClassNotFoundException while building with maven-ant-tasks tasks 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 798263 0 unspecified CLOSED maven-ant-tasks is incompatible with Maven 3 2021-02-22 00:41:40 UTC

Internal Links: 723276 798263

Description Mikolaj Izdebski 2012-04-30 12:18:43 UTC
Spec URL: http://mizdebsk.fedorapeople.org/review/aether-ant-tasks/aether-ant-tasks.spec
SRPM URL: http://mizdebsk.fedorapeople.org/review/aether-ant-tasks/aether-ant-tasks-1.0-0.1.SNAPSHOT.fc16.src.rpm
Description:
The Aether Ant Tasks enable build scripts for Apache Ant 1.7+ to use Sonatype
Aether to resolve dependencies and install and deploy locally built artifacts.

Comment 1 Mikolaj Izdebski 2012-08-10 14:06:51 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=4376515

Comment 2 Tomas 'Sheldon' Radej 2012-08-28 14:38:06 UTC
Taking the review.

Comment 3 Tomas 'Sheldon' Radej 2012-09-17 11:29:42 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[!]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[-]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[-]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[-]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Rpmlint
-------
Checking: aether-ant-tasks-javadoc-1.0-0.1.SNAPSHOT.fc19.noarch.rpm
          aether-ant-tasks-1.0-0.1.SNAPSHOT.fc19.src.rpm
          aether-ant-tasks-1.0-0.1.SNAPSHOT.fc19.noarch.rpm
aether-ant-tasks-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
aether-ant-tasks.src: W: invalid-url Source0: aether-ant-tasks.tar.bz2
3 packages and 0 specfiles checked; 0 errors, 2 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint aether-ant-tasks
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
aether-ant-tasks-javadoc-1.0-0.1.SNAPSHOT.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    jpackage-utils  

aether-ant-tasks-1.0-0.1.SNAPSHOT.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    aether  
    ant  
    java  
    jpackage-utils  
    maven-model  
    plexus-cipher  
    plexus-interpolation  
    plexus-sec-dispatcher  

Provides
--------
aether-ant-tasks-javadoc-1.0-0.1.SNAPSHOT.fc19.noarch.rpm:
    
    aether-ant-tasks-javadoc = 1.0-0.1.SNAPSHOT.fc19

aether-ant-tasks-1.0-0.1.SNAPSHOT.fc19.noarch.rpm:
    
    aether-ant-tasks = 1.0-0.1.SNAPSHOT.fc19
    mvn(org.sonatype.aether:aether-ant-tasks) = 1.0-SNAPSHOT

MD5-sum check
-------------

Notes:

[!]: MUST %build honors applicable compiler flags or justifies otherwise.
>>>> Tests are skipped, would be good to know why.

[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
>>>> Please notify upstream.

Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 817533 -m fedora-rawhide-x86_64
External plugins:



*** APPROVED ***

Comment 4 Mikolaj Izdebski 2012-09-17 11:43:54 UTC
New Package SCM Request
=======================
Package Name: aether-ant-tasks
Short Description: Ant tasks using Aether to resolve, install and deploy artifacts
Owners: mizdebsk
Branches: f17 f18

Comment 5 Mikolaj Izdebski 2012-09-17 11:53:05 UTC
Upstream was asked to include a copy of the license:
https://github.com/sonatype/aether-ant-tasks/issues/6

Comment 6 Gwyn Ciesla 2012-09-17 11:59:48 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.